<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" style="background-image: url('images/main_bg.gif');background-repeat: repeat;">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/main_bg2.gif');">
  <tr>
    <td height="100%" valign="top" style="background-image: url('images/main_bg1.gif');background-position: top;background-repeat: repeat-x;"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/header_bg.jpg');background-position: left top;background-repeat: repeat-x;">
      <tr>
        <td height="100%" align="left" valign="top" style="background-image: url('images/header.jpg'); background-position: right top; background-repeat: no-repeat;"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td><table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td><table width="100%" border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="25" style="background-image: url('images/menu_line2.gif');background-position: left bottom;background-repeat: repeat-x;"><div style="height:25px;width:25px;"></div></td>
                    <td width="1" style="background-image: url('images/menu_line.gif'); background-position: bottom; background-repeat: no-repeat;"><div style="height:1px;width:1px;"></div></td>
                    <td align="left" valign="bottom"  style="background-image: url('images/menu_line2.gif');background-position: left bottom;background-repeat: repeat-x;"><!-- MENU --><table height="47" border="0" cellpadding="0" cellspacing="0">
                      <tr><xsl:call-template name="TOP-MENU"/>
                      </tr>
                    </table><!-- END MENU --></td>
                    <td width="100" align="left" valign="bottom" style="background-image: url('images/menu_line2.gif');background-position: left bottom;background-repeat: repeat-x;"></td>
                  </tr>
                </table></td>
                <td width="260"><div style="height:px;width:300px;"></div></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="153" align="left" valign="middle" style="padding-left:30px;"><!-- LOGO -->
              <table width="350" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="60" rowspan="2" align="center" valign="middle" style="padding-right:10px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                  <td height="30" align="left" valign="bottom" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
                </tr>
                <tr>
                  <td height="30" align="left" valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
</td>
                </tr>
              </table>
              <!-- END LOGO --></td>
          </tr>
          <tr>
            <td height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" >
              <tr>
                <td width="219" height="155" valign="top" ><table width="100%" height="120" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/submenu_bg2.gif');background-position:top;background-repeat: repeat;">
                  <tr>
                    <td align="right" valign="top" style="background-image: url('images/submenu_bg1.gif');background-position: left top;background-repeat: no-repeat;padding-right:20px;padding-top:15px;"><!-- SUBMENU --><table width="165" border="0" cellspacing="0" cellpadding="0"><xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>

</table>

                      <!-- END SUBMENU --></td>
                  </tr>
                </table><img src="images/submenu_bg3.gif"/><div style="height:30px;width:15px;"></div></td>
                <td height="100%" rowspan="2" valign="top"><div style="height:35px;width:15px;"></div><table width="100%" height="1000%" border="0" cellpadding="0" cellspacing="0" >
  <tr>
    <td width="20"><div style="height:5px;width:20px;"></div></td>
    <td height="100%" valign="top" class="pageContent_table"><!-- CONTENT -->
                  <table cellpadding="0" cellspacing="0" border="0">
                    <tr>
                      <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</td>
                      <td class="text-header" style="padding-left:15px;"><img src="images/txtheader_bullet.gif"/></td>
                    </tr>
                  </table>
                <div style="height:30px;width:98%;background-image: url('images/txt_bg1.gif');background-position:center;background-repeat: repeat-x;"></div>
                <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>                <!-- END CONTENT --></td>
    <td width="60" align="right" valign="top"  style="background-image: url('images/txt_bg2.gif');background-position: right top;background-repeat: no-repeat;"><div style="height:1px;width:60px;"></div></td>
  </tr>
</table></td>
              </tr>
              <tr>
                <td align="right" valign="bottom"><img src="images/submenu_bottom.gif"/></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="46" style="background-image: url('images/botmenu_bg2.gif');background-repeat: repeat;"><table width="100%" height="46" border="0" cellpadding="0" cellspacing="0"  style="background-image: url('images/botmenu_bg1.gif');background-position: right bottom; background-repeat: repeat-x;">
      <tr>
        <td  style="background-image: url('images/botmenu_bg3.gif');background-position: right top; background-repeat: no-repeat;"><table width="100%" height="46" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td align="center"><!-- BOTTOM MENU --><table border="0" cellpadding="0" cellspacing="0">
              <tr><xsl:call-template name="BOTTOM-MENU"/>
</tr>
            </table>
              <!-- END BOOTTOM MENU --></td>
            <td width="60"><div style="height:5px;width:60px;"></div></td>
          </tr>
        </table></td>
      </tr>
      
    </table></td>
  </tr>
  <tr>
    <td align="center" valign="middle" style="background-image: url('images/main_bg.gif');background-repeat: repeat;"><div style="height:20px;width:780px;"></div>
        <!-- FOOTER -->
        <div align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
</div>
      <!-- END FOOTER --><div style="height:20px;width:px;"></div></td>
  </tr>
</table>
</BODY>

	</html>
</xsl:template>

<!-- TOP-MENU-->
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>
<!-- END TOP-MENU-->


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<!-- SUB-MENU-->	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	<xsl:when test="@ID=/LAYOUT/@ID" >
	
	  <!-- sub-menu with link-->	
      <tr>
    <td align="left"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="8" class="iconleft"><img src="images/submenu_bullet.gif"/></td>
        <td><span class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
      </tr>
    </table></td>
  </tr>
	  <!--end-->
	  
		
	</xsl:when>
	<xsl:otherwise>
	<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	
	  <!--sub-menu without link-->
	  <tr>
    <td align="left"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="8" class="iconleft"><img src="images/submenua_bullet.gif"/></td>
        <td><a href="{@HREF}" class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
      </tr>
    </table></td>
    </tr>		
      
	  <!--end-->
	  
	  
	</xsl:if>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	 
	  <!-- sub-menu no last-->
      <tr>
    <td height="12" align="left"><img src="images/submenu_line.gif"/></td>
  </tr>
	  <!--end-->
	  
	
</xsl:if>
</xsl:template>	
<!--END SUB-MENU-->


<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>


<!-- BOTTOM-MENU-->		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
	   
		<!-- bottom-menu with link-->
        <td width="15" align="right" valign="middle" class="iconfoot" ><img src="images/botmenu_bullet.gif"/></td>
                <td align="left" valign="bottom" class="menutable" ><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</a></td>
		<!--end-->
		
		
        </xsl:when>
		<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		 
		<!-- bottom-menu without link--> 
         <td width="15" align="right" valign="middle" class="iconfoot"><img src="images/botmenua_bullet.gif"/></td>
                <td align="left" valign="bottom" class="menutable"><span class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</span></td>
		<!--end-->
		
		
		</xsl:when>
	    <xsl:otherwise>
		  
		<!-- bottom-menu click link-->  
        <td width="15" align="right" valign="middle" class="iconfoot" ><img src="images/botmenu_bullet.gif"/></td>
                <td align="left" valign="bottom" class="menutable" ><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</a></td>
		<!--end-->
		
		
		</xsl:otherwise>
        </xsl:choose>
	    <xsl:if test="position()!=last()">
		
		<!-- bottom-menu no last-->
        
		<!--end-->
		
		</xsl:if>
</xsl:template>
<!--END BOTTOM-MENU-->
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
