<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table cellpadding="0" cellspacing="0" height="100%" width="100%">
	<tr>
		<td height="295" class="tbg" style="background-image: url('images/tbg.gif');">
			<table cellpadding="0" cellspacing="0" width="100%" height="295">
				<tr><td height="7"></td></tr>
				<tr>
					<td height="66" valign="top">
						<table cellpadding="0" cellspacing="0" width="100%" height="56">
							<tr>
								<td width="20"><div style="width:20px; height:1px;"><span></span></div></td>
								<td width="100%" valign="top">
									<table cellpadding="0" cellspacing="0" width="100%" height="100%">
										<tr>
											<td>
                                                <table cellpadding="0" cellspacing="0" border="0" style="height: 100%;">
													<tr><td><img src="images/menu_tlbg.gif" border="0" alt=""/></td></tr>
													<tr><td height="100%" class="menu-bg"></td></tr>
													<tr><td><img src="images/menu_blbg.gif" border="0" alt=""/></td></tr>
												</table>
											</td>
											<td width="100%" class="menu-bg">
											<!-- MENU -->
												<table cellpadding="0" cellspacing="0" align="center">
													<tr>
														<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                                                        <xsl:call-template name="TOP-MENU"/>
														<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
													</tr>
												</table>
											<!-- END MENU -->
											</td>
											<td>
												<table cellpadding="0" cellspacing="0" border="0" style="height: 100%;">
													<tr><td><img src="images/menu_trbg.gif" border="0" alt=""/></td></tr>
													<tr><td height="100%" class="menu-bg"></td></tr>
													<tr><td><img src="images/menu_brbg.gif" border="0" alt=""/></td></tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
								<td width="20"><div style="width:20px; height:1px;"><span></span></div></td>
							</tr>
						</table>
					</td>
				</tr>
                <tr>
					<td height="223" style="background-image: url('images/hbg.gif');">
						<table cellpadding="0" cellspacing="0" height="223" width="100%">
							<tr>
								<td style="background-image: url('images/header.jpg'); background-position: bottom right; background-repeat: no-repeat;">
                                	<!-- LOGO -->
									<table cellpadding="0" cellspacing="0" height="100%">
										<tr><td height="20%" colspan="3"></td></tr>
										<tr>
											<td width="75"></td>
											<td>
												<table cellpadding="0" cellspacing="0">
													<tr>
														<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
														<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
													</tr>
													<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
												</table>
											</td>
											<td width="410"></td>
										</tr>
										<tr><td height="80%" colspan="3"></td></tr>
									</table>
									<!-- END LOGO -->
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="100%" class="main-bg" valign="top" style="background-image: url('images/main_bg.gif');">
			<table cellpadding="0" cellspacing="0" width="100%" height="100%">
				<tr>
					<td width="20"><div style="width:20px; height:1px;"><span></span></div></td>
					<td width="100%" valign="top">
						<table cellpadding="0" cellspacing="0" width="100%" height="100%" border="0">
							<tr>
								<td width="29"><div style="width:29px; height:25px;"><span></span></div></td>
								<td height="25" width="100%" valign="top" class="text-header"><img src="images/txtheader_bullet.gif" align="absmiddle" width="12" height="12" style="margin-right: 5px;" border="0"/><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
								<td width="29"><div style="width:29px; height:25px;"><span></span></div></td>
							</tr>
							<tr>
								<td style="background-image: url('images/tlbg.gif'); background-repeat: no-repeat;"><div style="width:29px; height:29px;"><span></span></div></td>
								<td class="bg" width="100%"></td>
								<td style="background-image: url('images/trbg.gif'); background-repeat: no-repeat;"><div style="width:29px; height:29px;"><span></span></div></td>
							</tr>
							<tr>
								<td class="bg"><div style="width:29px; height:29px;"><span></span></div></td>
								<td class="bg pageContent" width="100%" height="100%" valign="top">
								<!-- CONTENT -->
									<xsl:apply-templates select="PAGE-CONTENT"/>
								<!-- END CONTENT -->
								</td>
								<td class="bg"><div style="width:29px; height:29px;"><span></span></div></td>
							</tr>
							<tr>
								<td style="background-image: url('images/blbg.gif'); background-repeat: no-repeat;"><div style="width:29px; height:29px;"><span></span></div></td>
								<td class="bg" width="100%"></td>
								<td style="background-image: url('images/brbg.gif'); background-repeat: no-repeat;"><div style="width:29px; height:29px;"><span></span></div></td>
							</tr>
						</table>
					</td>
					<td width="10"><div style="width:10px; height:1px;"><span></span></div></td>
					<td width="145" valign="top">
						<table cellpadding="0" cellspacing="0" width="145" height="100%" border="0">
							<tr><td colspan="3" height="25"></td></tr>
							<tr>
								<td style="background-image: url('images/submenu_tlbg.gif'); background-repeat: no-repeat;"><div style="width:28px; height:28px;"><span></span></div></td>
								<td width="100%" valign="top"><div class="bg" style="width:100%; height:2px;"><span></span></div></td>
								<td style="background-image: url('images/submenu_trbg.gif'); background-repeat: no-repeat;"><div style="width:28px; height:28px;"><span></span></div></td>
							</tr>
							<tr>
								<td colspan="3" width="100%" height="100%" valign="top">
									<table cellpadding="0" cellspacing="0" width="100%" height="100%">
										<tr>
											<td width="1" class="bg"><div style="width:1px; height:1px;"><span></span></div></td>
											<td width="100%" valign="top">
											<!-- SUBMENU -->
												<table cellpadding="0" cellspacing="0" width="120" align="center">
													<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
												</table>
											<!-- END SUBMENU -->
											</td>
											<td width="1" class="bg"><div style="width:1px; height:1px;"><span></span></div></td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td style="background-image: url('images/submenu_blbg.gif'); background-repeat: no-repeat;"><div style="width:28px; height:28px;"><span></span></div></td>
								<td width="100%" valign="bottom"><div class="bg" style="width:100%; height:2px;"><span></span></div></td>
								<td style="background-image: url('images/submenu_brbg.gif'); background-repeat: no-repeat;"><div style="width:28px; height:28px;"><span></span></div></td>
							</tr>
						</table>
					</td>
					<td width="20"><div style="width:20px; height:1px;"><span></span></div></td>
				</tr>
				<tr>
					<td width="20"><div style="width:20px; height:1px;"><span></span></div></td>
					<td width="100%">
						<div style="width:1px; height:50px;"><span></span></div>
						<!-- BOTTOM MENU -->
							<table cellpadding="0" cellspacing="0" align="center">
								<tr>
									<xsl:call-template name="BOTTOM-MENU"/>
								</tr>
							</table>
						<!-- END BOOTTOM MENU -->
						<div style="width:1px; height:50px;"><span></span></div>
					</td>
					<td width="10"><div style="width:10px; height:1px;"><span></span></div></td>
					<td width="145" class="footer" align="center">
						<!-- FOOTER -->
							<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
						<!-- END FOOTER -->
					</td>
					<td width="20"><div style="width:20px; height:1px;"><span></span></div></td>
				</tr>
			</table>
		</td>
	</tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr class="asubmenu">
				<td style="padding-left: 18px"><img src="images/submenu_bullet.gif" width="19" height="6" border="0"/></td>
				<td style="padding-left: 9px" height="24" width="100%" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 18px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" width="19" height="6" border="0"/></a></td>
					<td style="padding-left: 9px" height="24" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="2"></td></tr>
		<tr><td colspan="2" height="1" class="bg"></td></tr>
		<tr><td colspan="2" height="2"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template> 
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="12"></td>
			<td width="1"><div class="bg" style="width:1px; height:16px;"><span></span></div></td>
			<td width="12"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
